1) API Key 測試
KEY='你的 API Key'
curl -sS https://api.voguesly.com/v1/models \
-H "Authorization: Bearer $KEY"
curl -sS https://api.voguesly.com/v1/responses \
-H "Authorization: Bearer $KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "gpt-5.4",
"input": "只回覆 test ok",
"store": false
}'
2) Codex CLI 一鍵配置
bash << 'SETUP_SCRIPT'
mkdir -p ~/.codex
[ -f ~/.codex/config.toml ] && cp ~/.codex/config.toml ~/.codex/config.toml.bak
cat > ~/.codex/config.toml << 'CODEX_CONFIG'
model_provider = "voguesly"
model = "gpt-5.4"
model_reasoning_effort = "high"
network_access = "enabled"
disable_response_storage = true
windows_wsl_setup_acknowledged = true
model_verbosity = "high"
[model_providers.voguesly]
name = "voguesly"
base_url = "https://api.voguesly.com"
wire_api = "responses"
requires_openai_auth = true
CODEX_CONFIG
cat > ~/.codex/auth.json << 'CODEX_AUTH'
{
"OPENAI_API_KEY": "你的 API Key"
}
CODEX_AUTH
echo "✅ Done!"
SETUP_SCRIPT